Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xml.utils.res
Class XResourceBundle

    java.lang.Object
      |
      +--java.util.ResourceBundle
            |
            +--java.util.ListResourceBundle
                  |
                  +--weblogic.apache.xml.utils.res.XResourceBundle

Direct Known Subclasses:
  XResources_cy, XResources_el, XResources_en, XResources_he, XResources_hy, XResources_ja_JP_A, XResources_ja_JP_HA, XResources_ja_JP_HI, XResources_ja_JP_I, XResources_ka, XResources_zh_CN, XResources_zh_TW

public class XResourceBundle
extends java.util.ListResourceBundle

The default (english) resource bundle.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Field Summary
`static java.lang.String` | `ERROR_RESOURCES` Error resource constants
`static java.lang.String` | `LANG_ADDITIVE` Error resource constants
`static java.lang.String` | `LANG_ALPHABET` Error resource constants
`static java.lang.String` | `LANG_BUNDLE_NAME` Error resource constants
`static java.lang.String` | `LANG_LEFTTORIGHT` Error resource constants
`static java.lang.String` | `LANG_MULT_ADD` Error resource constants
`static java.lang.String` | `LANG_MULTIPLIER` Error resource constants
`static java.lang.String` | `LANG_MULTIPLIER_CHAR` Error resource constants
`static java.lang.String` | `LANG_NUM_TABLES` Error resource constants
`static java.lang.String` | `LANG_NUMBERGROUPS` Error resource constants
`static java.lang.String` | `LANG_NUMBERING` Error resource constants
`static java.lang.String` | `LANG_ORIENTATION` Error resource constants
`static java.lang.String` | `LANG_RIGHTTOLEFT` Error resource constants
`static java.lang.String` | `LANG_TRAD_ALPHABET` Error resource constants
`static java.lang.String` | `MULT_FOLLOWS` Error resource constants
`static java.lang.String` | `MULT_ORDER` Error resource constants
`static java.lang.String` | `MULT_PRECEDES` Error resource constants
`static java.lang.String` | `XSLT_RESOURCE` Error resource constants

Fields inherited from class java.util.ResourceBundle
`parent`

Constructor Summary
`XResourceBundle()`

Method Summary
`java.lang.Object[][]` | `getContents()` Get the association list.
`static XResourceBundle` | `loadResourceBundle(java.lang.String className, java.util.Locale locale)` Return a named ResourceBundle for a particular locale.

Methods inherited from class java.util.ListResourceBundle
`getKeys, handleGetObject`

Methods inherited from class java.util.ResourceBundle
`getBundle, getBundle, getBundle, getLocale, getObject, getString, getStringArray, setParent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ERROR_RESOURCES

    public static final java.lang.String ERROR_RESOURCES

  Error resource constants

### XSLT_RESOURCE

    public static final java.lang.String XSLT_RESOURCE

  Error resource constants

### LANG_BUNDLE_NAME

    public static final java.lang.String LANG_BUNDLE_NAME

  Error resource constants

### MULT_ORDER

    public static final java.lang.String MULT_ORDER

  Error resource constants

### MULT_PRECEDES

    public static final java.lang.String MULT_PRECEDES

  Error resource constants

### MULT_FOLLOWS

    public static final java.lang.String MULT_FOLLOWS

  Error resource constants

### LANG_ORIENTATION

    public static final java.lang.String LANG_ORIENTATION

  Error resource constants

### LANG_RIGHTTOLEFT

    public static final java.lang.String LANG_RIGHTTOLEFT

  Error resource constants

### LANG_LEFTTORIGHT

    public static final java.lang.String LANG_LEFTTORIGHT

  Error resource constants

### LANG_NUMBERING

    public static final java.lang.String LANG_NUMBERING

  Error resource constants

### LANG_ADDITIVE

    public static final java.lang.String LANG_ADDITIVE

  Error resource constants

### LANG_MULT_ADD

    public static final java.lang.String LANG_MULT_ADD

  Error resource constants

### LANG_MULTIPLIER

    public static final java.lang.String LANG_MULTIPLIER

  Error resource constants

### LANG_MULTIPLIER_CHAR

    public static final java.lang.String LANG_MULTIPLIER_CHAR

  Error resource constants

### LANG_NUMBERGROUPS

    public static final java.lang.String LANG_NUMBERGROUPS

  Error resource constants

### LANG_NUM_TABLES

    public static final java.lang.String LANG_NUM_TABLES

  Error resource constants

### LANG_ALPHABET

    public static final java.lang.String LANG_ALPHABET

  Error resource constants

### LANG_TRAD_ALPHABET

    public static final java.lang.String LANG_TRAD_ALPHABET

  Error resource constants

Constructor Detail

### XResourceBundle

    public XResourceBundle()

Method Detail

### loadResourceBundle

    public static final XResourceBundle loadResourceBundle(java.lang.String className,
                                                           java.util.Locale locale)
                                                    throws java.util.MissingResourceException

  Return a named ResourceBundle for a particular locale. This method mimics the behavior of ResourceBundle.getBundle().

  Parameters:
    `className` - Name of local-specific subclass.
    `locale` - the locale to prefer when searching for the bundle

### getContents

    public java.lang.Object[][] getContents()

  Get the association list.

  Returns:
    The association list.
  Overrides:
    getContents in class java.util.ListResourceBundle

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference